# GmagickPixel::__construct

(PECL gmagick >= Unknown)

GmagickPixel::__construct — The GmagickPixel constructor

### Description

public GmagickPixel::__construct ([ string `$color` ] )

Constructs an GmagickPixel object. If a color is specified, the object is constructed and then initialised with that color before being returned.

### Parameters

`color`

  The optional color string to use as the initial value of this object.

### Return Values

The GmagickPixel object on success.